package cn.com.taiji.beidou.ship.archives.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 按类型查询
 * @Author CHEN
 * @Date 2022/11/9 10:24
 */
@Data
public class ShipArchivesREQ {

    private String shipType;
    @ApiModelProperty(hidden = true)
    private String jobType;
    @ApiModelProperty(hidden = true)
    private String ownerType;
    @ApiModelProperty(hidden = true)
    private String jobWay;
    private String shipId;
    @ApiModelProperty(hidden = true)
    private String devideNo;
    private String deptId;
    private Integer pageNum;
    private Integer pageSize;

    @ApiModelProperty(value = "是否在线 1在线,2离线,3标记")
    private String online;
    @ApiModelProperty(value = "是否在港 0否,1是")
    private String inPort;

}
