package cn.com.taiji.beidou.ship.archives.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author CHEN
 * @Date 2022/11/14 9:53
 */
@Data
public class ShipArchivesTotal {

    @ApiModelProperty("船舶总数")
    private String shipTotal;
    @ApiModelProperty("在线总数")
    private String onlineTotal;
    @ApiModelProperty("离线总数")
    private String offlineTotal;
    @ApiModelProperty("标记数")
    private String mark;
    @ApiModelProperty("在港总数")
    private String inPort;
    @ApiModelProperty("离港总数")
    private String offPort;

    @ApiModelProperty("在线率")
    private Double onlineTotalRate;
    @ApiModelProperty("离线率")
    private Double offlineTotalRate;
    @ApiModelProperty("标记率")
    private Double markRate;
    @ApiModelProperty("在港率")
    private Double inPortRate;
    @ApiModelProperty("离港率")
    private Double offPortRate;
}
