package cn.com.taiji.beidou.ship.status.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author CHEN
 * @Date 2022/11/18 21:03
 */
@Data
public class stasisShipReq {

    @ApiModelProperty("船舶编号或者设备号")
    private String shipId;
    @ApiModelProperty("部门ID")
    private String deptId;
    @ApiModelProperty(value = "是否长停 0否 1是 默认为0",hidden = true)
    private String isStasis;
    @ApiModelProperty(hidden = true)
    private String devideNo;
    private Integer pageNum;
    private Integer pageSize;

    /**
     * 停留天数 1：7-14天，2：15-30天，3：30天以上
     */
    @ApiModelProperty("停留天数 1：7-14天，2：15-29天，3：30天以上")
    private Integer stasisDay;

}
